Update an end user entity
curl --request PATCH \
--url https://app.herondata.io/api/end_user_entities/{heron_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"display_order": 123,
"entity_description": "<string>",
"entity_name": "<string>",
"entity_post_processor_configs": [
{}
],
"is_list": true,
"saved_query_heron_id": "<string>"
}
'import requests
url = "https://app.herondata.io/api/end_user_entities/{heron_id}"
payload = {
"display_order": 123,
"entity_description": "<string>",
"entity_name": "<string>",
"entity_post_processor_configs": [{}],
"is_list": True,
"saved_query_heron_id": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
display_order: 123,
entity_description: '<string>',
entity_name: '<string>',
entity_post_processor_configs: [{}],
is_list: true,
saved_query_heron_id: '<string>'
})
};
fetch('https://app.herondata.io/api/end_user_entities/{heron_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"display_order": 123,
"entity_description": "<string>",
"entity_name": "<string>",
"entity_post_processor_configs": [],
"heron_id": "<string>",
"is_list": true,
"saved_query_heron_id": "<string>"
}EndUserEntity
Update an end user entity
PATCH
/
api
/
end_user_entities
/
{heron_id}
Update an end user entity
Authorizations
Path Parameters
Body
application/json
Was this page helpful?
⌘I